function param = neur_param_conds(nc,md)

for ii = 1:md.count.N

    N = md.interp.gsize(ii);

    %mS/cm^2

    % using the regular mesh
    %     param.pas.Gm{ii} = 0.3*sqrt(0.5e-11+md.grid.xmid{ii}/...
    %                                     md.grid.segL(ii));
    %
    %     %also have a coarse version
    %     param.pas.CGm{ii} = 0.3*sqrt(0.5e-11+md.grid.Cxmid{ii}/...
    %                                     md.grid.segL(ii));

    param.pas.G{ii} = 0.3*ones(1,N);
    %param.pas.G{ii} = 0.3*sqrt(0.5e-11+md.grid.xmid{ii}/...
    %                                 md.grid.segL(ii));
    param.pas.CG{ii} = 0.3*ones(1,length(md.grid.Cxmid{ii}));
    
    param.IH.G{ii} = 0*ones(1,N);
    param.IH.CG{ii} = 0*ones(1,length(md.grid.Cxmid{ii}));
    
    param.INa.G{ii} = 110*ones(1,N);
    param.INa.CG{ii} = 110*ones(1,length(md.grid.Cxmid{ii}));
    
    param.IK.G{ii} = 20*ones(1,N);
    param.IK.CG{ii} = 20*ones(1,length(md.grid.Cxmid{ii}));

    param.IL.G{ii} = 5*ones(1,N);
    param.IL.CG{ii} = 5*ones(1,length(md.grid.Cxmid{ii}));
    
    param.IA.G{ii} = 20*ones(1,N);
    param.IA.CG{ii} = 20*ones(1,length(md.grid.Cxmid{ii}));
    

end

param.pas.GS = 0.3;
param.IH.GS = 0;
param.INa.GS = 0;
param.IK.GS = 0;
param.IL.GS = 0;
param.IA.GS = 0;
% param.IA.G{end}(end) = 0;
% param.INa.G{end}(end) = 120;
% param.IK.G{end}(end) =20;
%param.pas.Gm{1} = ones(N,1)*0.3;  % mS/cm^2
