% inputs : filename : name of file group
%
% outputs : out : structure containing potentials 

function out = neur_read(filename)

READF1 = fopen([filename '.n1'],'r');
READF2 = fopen([filename '.n2'],'r');
READF3 = fopen([filename '.n3'],'r');

out.L = fread(READF3,1,'double');
out.N = fread(READF3,1,'double');
out.segh = fread(READF3,out.N,'double');
out.segt = fread(READF3,out.N,'double');
out.t = fread(READF2,'double');

out.v = fread(READF1,[out.L, inf],'double');

fclose(READF1);
fclose(READF2);
fclose(READF3);
