function [V,t] = neur_solverh_adj(M,K,L,b,md,parm,simd,filename)

WRITEF1 = fopen([filename '.n1a'],'w');
WRITEF2 = fopen([filename '.n2a'],'w');

fwrite(WRITEF2,simd.t,'double');

N = md.count.L;

eo = zeros(N,1);
eo(end) = 1;

disp('Solving...')

LHS = M+simd.dt*(L+K);
[Lmat,Umat] = lu(LHS);

j = simd.T/simd.dt;

t(j+1) = simd.T;

fwrite(WRITEF1,V,'double');

jfinal = simd.T/simd.dt;
jtenper = jfinal/10;

while j >= 1

   t(j) = (j-1)*simd.dt;

   RHS = M*V; 
 
   V = Umat \ (Lmat \ RHS);

   %v(:,j) = LHS \ RHS;
   
   fwrite(WRITEF1,V,'double');
   
   j = j - 1;

   if mod(j,jtenper) == 0 
    
       disp([num2str(1-j/jtenper*10) ' % done'])
       
   end
 
end